org.apache.sling.maven.slingstart.run

## Class PortHelper

- java.lang.Object
- - org.apache.sling.maven.slingstart.run.PortHelper

    public class PortHelper
    extends Object

Simple helper class to find a new port.

### Constructor Summary

Constructors
Constructor and Description
`PortHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getNextAvailablePort()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PortHelper

    public PortHelper()

### Method Detail

#### getNextAvailablePort

    public static int getNextAvailablePort()
                                    throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`